using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using System.ServiceModel;
using WCFServiceLibrary3;
namespace WindowsService_2
{
    internal class HostClass
    {
        internal static ServiceHost serviceHost = null;

        internal static void StartService()
        {
            //Consider putting the baseAddress in the configuration system
            //and getting it here with AppSettings
            try
            {

                serviceHost = new ServiceHost(typeof(WCFServiceLibrary3.service2));

                //Open myServiceHost
                serviceHost.Open();


                Console.WriteLine("WCF Service with streaming Press any key....");
                Console.ReadLine();


            }
            catch (Exception ex)
            {
                EventLog.WriteEntry("Test Service 2",
      "MESSAGE: " + ex.Message +
      "\nSOURCE: " + ex.Source +
      "\nTARGETSITE: " + ex.TargetSite +
      "\nSTACKTRACE: " + ex.StackTrace,
      EventLogEntryType.Error); ;
            }
        }

        internal static void StopService()
        {
            if (serviceHost.State != CommunicationState.Closed)
                serviceHost.Close();
        }
    }
}
